/usr/sbin/ods-control is in opendnssec-common 1.3.4-1ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 | #!/bin/sh
#
# $Id: ods-control.in 5340 2011-07-26 15:30:53Z matthijs $
#
# Copyright (c) 2009 .SE (The Internet Infrastructure Foundation)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
progname="ods-control"
bindir="/usr/bin"
sbindir="/usr/sbin"
enforcer_pid_file="/var/run/opendnssec/enforcerd.pid"
signer_pid_file="/var/run/opendnssec/signerd.pid"
case "$1" in
'ksm')
shift
"$bindir/ods-ksmutil" $@
exit $?
;;
'hsm')
shift
"$bindir/ods-hsmutil" $@
exit $?
;;
'signer')
case "$2" in
'start')
echo "Starting signer..."
"$sbindir/ods-signer" start
i=0
while [ ! -r "$signer_pid_file" ]; do
sleep 1
i=`expr $i + 1`
if [ $i -ge 5 ]; then
RETVAL=1
echo "Could not start signer"
exit $RETVAL
fi
done
"$sbindir/ods-signer" running
RETVAL=$?
exit $RETVAL
;;
*)
shift
"$sbindir/ods-signer" "$@"
exit $?
;;
esac
;;
'enforcer')
case "$2" in
'start')
if [ -r "$enforcer_pid_file" ]; then
echo "Enforcer is already running"
RETVAL=-1
else
echo "Starting enforcer..."
"$sbindir/ods-enforcerd"
RETVAL=$?
if [ $RETVAL = 0 ]; then
i=0
while [ ! -r "$enforcer_pid_file" ]; do
sleep 1
i=`expr $i + 1`
if [ $i -ge 5 ]; then
RETVAL=1
echo "Could not start enforcer"
break
fi
done
fi
fi
exit $RETVAL
;;
'stop')
echo "Stopping enforcer..."
if [ -r "$enforcer_pid_file" ]; then
kill -TERM `cat "$enforcer_pid_file"`
RETVAL=$?
if [ $RETVAL = 0 ]; then
i=0
while [ -r "$enforcer_pid_file" ]; do
sleep 1
i=`expr $i + 1`
if [ $i -ge 5 ]; then
RETVAL=1
echo "Could not stop enforcer"
break
fi
done
fi
else
echo "Cannot find PID file"
RETVAL=1
fi
exit $RETVAL
;;
'notify')
echo "Notifying enforcer of new database..."
if [ -r "$enforcer_pid_file" ]; then
kill -HUP `cat "$enforcer_pid_file"`
RETVAL=$?
else
echo "Cannot find PID file"
RETVAL=1
fi
exit $RETVAL
;;
*)
echo "usage: $progname enforcer start|stop|notify" >&2
exit 3
;;
esac
;;
'start')
"$0" enforcer start
RETVAL=$?
if [ "$RETVAL" != "0" ]; then
exit $RETVAL
fi
echo "Starting signer engine..."
"$0" signer start
exit $?
;;
'stop')
"$0" enforcer stop
echo "Stopping signer engine.."
"$0" signer stop
exit $?
;;
*)
echo "usage: $progname ksm|hsm|signer|enforcer|start|stop ..." >&2
exit 3
;;
esac
|